Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 452743 - GFS2: gfs2_fsck fails: Unable to read in jindex inode.
Summary: GFS2: gfs2_fsck fails: Unable to read in jindex inode.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs2-utils
Version: 5.3
Hardware: All
OS: Linux
urgent
high
Target Milestone: rc
: ---
Assignee: Robert Peterson
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks: 453004
TreeView+ depends on / blocked
 
Reported: 2008-06-24 19:02 UTC by Robert Peterson
Modified: 2010-01-12 03:41 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:51:49 UTC


Attachments (Terms of Use)
patch to fix the problem (deleted)
2008-06-24 20:52 UTC, Robert Peterson
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2009:0087 normal SHIPPED_LIVE gfs2-utils bug-fix update 2009-01-20 16:04:24 UTC

Description Robert Peterson 2008-06-24 19:02:17 UTC
Description of problem:
If a GFS2 file system is created with non-4K block size, gfs2_fsck
won't run on it. 

Version-Release number of selected component (if applicable):
RHEL5.2

How reproducible:
Always

Steps to Reproduce:
1. mkfs.gfs2 -O -b 1024 -t "bobs_exxon:exxon_lv" -j3 -p lock_dlm
/dev/exxon_vg/exxon_lv
2. gfs2_fsck /dev/exxon_vg/exxon_lv 
  
Actual results:
[root@exxon-01 /usr/src/redhat/BUILD]# gfs2_fsck /dev/exxon_vg/exxon_lv 
Initializing fsck
Recovering journals (this may take a while)Journal inode not found.
Unable to read in jindex inode.

Expected results:
gfs2_fsck should run normally.

Additional info:

Comment 1 RHEL Product and Program Management 2008-06-24 19:33:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 2 Robert Peterson 2008-06-24 20:52:47 UTC
Created attachment 310183 [details]
patch to fix the problem

Comment 3 Robert Peterson 2008-06-24 21:01:06 UTC
This patch has been tested on system exxon-01.  I also made sure it
would not adversely affect any of the other callers of function read_sb,
namely, "gfs2_edit savemeta" and gfs2_grow.

The patch was pushed to the master, STABLE2 and RHEL5 branches of the
cluster git tree for inclusion into RHEL5.3.  Changing status to modified.


Comment 9 errata-xmlrpc 2009-01-20 20:51:49 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0087.html


Note You need to log in before you can comment on or make changes to this bug.